CO_fifo_t Struct Reference
CANopen_301 » FIFO circular buffer

Fifo object. More...

`#include <CO_fifo.h>`

## Data Fields

char * | buf
| Buffer of size bufSize. More...
size_t | bufSize
| Initialized by CO_fifo_init()
size_t | writePtr
| Location in the buffer, which will be next written.
size_t | readPtr
| Location in the buffer, which will be next read.
size_t | altReadPtr
| Location in the buffer, which will be next read.
bool_t | started
| helper variable, set to false in CO_fifo_reset(), used in some functions.
uint32_t | aux
| auxiliary variable, used in some functions.

## Detailed Description

Fifo object.

## Field Documentation

## buf

char* CO_fifo_t::buf

Buffer of size bufSize.

Initialized by CO_fifo_init()

The documentation for this struct was generated from the following file:

- 301/CO_fifo.h